# MCS_TokenAttributes_giving Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_TokenAttributes_giving:

List of all members.

## Public Member Functions

| MCS_TokenAttributes_giving (unsigned tag=2, TagClass tagClass=ContextSpecificTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_TokenId | m_tokenId
MCS_UserId | m_grabber
MCS_UserId | m_recipient

## Constructor & Destructor Documentation

MCS_TokenAttributes_giving::MCS_TokenAttributes_giving | ( | unsigned | tag = `2`,
|  | TagClass | tagClass = `ContextSpecificTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_TokenAttributes_giving::GetDataLength | ( |  | ) | const

PBoolean MCS_TokenAttributes_giving::Decode | ( | PASN_Stream & | strm | ) |

void MCS_TokenAttributes_giving::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_TokenAttributes_giving::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_TokenAttributes_giving::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_TokenAttributes_giving::Clone | ( |  | ) | const

## Member Data Documentation

MCS_TokenId MCS_TokenAttributes_giving::m_tokenId

MCS_UserId MCS_TokenAttributes_giving::m_grabber

MCS_UserId MCS_TokenAttributes_giving::m_recipient

The documentation for this class was generated from the following file:

- mcs.h